#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
#-----------------------------------------------------------------------------
Name		:	perl-Exception-Class
Version		:	1.44
Release		:	17.2.0.rel%{?dist}
Summary		:	A module that allows you to declare real exception classes in Perl

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/Date::Manip

Source0		:	%{sname}-%{version}.tar.gz

BuildArch	:	noarch
#-----------------------------------------------------------------------------
BuildRequires	:	perl
#-----------------------------------------------------------------------------
%description
Exception::Class allows you to declare exception hierarchies
in your modules in a "Java-esque" manner.

It features a simple interface allowing programmers to 'declare'
exception classes at compile time. It also has a base exception
class, Exception::Class::Base, that can be easily extended.

It is designed to make structured exception handling simpler
and better by encouraging people to use hierarchies of exceptions
in their applications, as opposed to a single catch-all exception
class.

This module does not implement any try/catch syntax. Please see
the "OTHER EXCEPTION MODULES (try/catch syntax)" section for more
information on how to get this syntax.

You will also want to look at the documentation for
Exception::Class::Base, which is the default base class for all
exception objects created by this module.


#-----------------------------------------------------------------------------
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\
	NO_PACKLIST=1						\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	pure_install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc README.md
%{_datadir}/perl5/core_perl/Exception/Class.pm
%{_datadir}/perl5/core_perl/Exception/Class/Base.pm
%{_mandir}/man3/Exception::Class*.3.gz

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog

